## scgi 1.1

=== Makefile ===
all: mod_scgi.so
	python setup.py build

mod_scgi.so: mod_scgi.c
	apxs -a -o $@ -c $<

clean:
	rm -rf mod_scgi.so mod_scgi.o build

install: install_py install_mod

install_mod:
	install -m 0755 -d $(DESTDIR)/usr/lib/apache/1.3/
	install -m 0755 mod_scgi.so $(DESTDIR)/usr/lib/apache/1.3/
	
install_py:
	python setup.py install --prefix=$(DESTDIR)/usr

## scgi 1.2

=== apache1/Makefile ===
all: mod_scgi.so

mod_scgi.so: mod_scgi.c
	apxs -a -o $@ -c $<

clean:
	rm -rf mod_scgi.so mod_scgi.o

install:
	install -m 0755 -d $(DESTDIR)/usr/lib/apache/1.3/
	install -m 0755 mod_scgi.so $(DESTDIR)/usr/lib/apache/1.3/

=== apache2/Makefile ===

APXS=apxs2
APACHECTL=apache2ctl

all:
	$(APXS) -c mod_scgi.c

# XXX should not need the -c option but for some reason it's required :-(
install:
	$(APXS) -i -c mod_scgi.c

clean:
	rm -f mod_scgi.o mod_scgi.lo mod_scgi.slo mod_scgi.la 

start:
	$(APACHECTL) start
restart:
	$(APACHECTL) restart
stop:
	$(APACHECTL) stop

## scgi 1.13

=== apache1/Makefile ===
all: mod_scgi.so

mod_scgi.so: mod_scgi.c
	apxs -c $<

clean:
	rm -f mod_scgi.so mod_scgi.o

install:
	install -m 0755 -d $(DESTDIR)/usr/lib/apache/1.3/
	install -m 0755 mod_scgi.so $(DESTDIR)/usr/lib/apache/1.3/

=== apache2/Makefile ===
--- 
+++ 
@@ -10,7 +10,7 @@
 	$(APXS) -i -c mod_scgi.c
 
 clean:
-	rm -f mod_scgi.o mod_scgi.lo mod_scgi.slo mod_scgi.la 
+	rm -rf mod_scgi.o mod_scgi.lo mod_scgi.slo mod_scgi.la .libs
 
 start:
 	$(APACHECTL) start

=== debian/changelog ===
scgi (1.13-1.1build1) trusty; urgency=medium

  * Rebuild to drop files installed into /usr/share/pyshared.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 23 Feb 2014 13:53:55 +0000

scgi (1.13-1.1) unstable; urgency=low

  * NMU and QAish upload.
  * Bump standards version to 3.9.4.
  * Add ${misc:Depends}.
  * Add build-arch, build-indep targets.
  * Use dh_python2, instead of deprecated dh_pysupport.
  * Use 3.0 (quilt) source format, instead of quilt make snippets.
  * Include watch file. Closes: #710988
  * Apply patch from Arno Töll for apache2.4 transition. Closes: #666805

 -- Dmitrijs Ledkovs <dmitrij.ledkov@ubuntu.com>  Tue, 02 Jul 2013 22:21:29 +0100

scgi (1.13-1) unstable; urgency=low

  * New upstream release.
  * Use quilt to manage patches.
  * Use debhelper v7.
  * Put Python extension in 'python' section.

 -- Neil Schemenauer <nas@debian.org>  Sat, 05 Jul 2008 22:33:18 +0000

scgi (1.12-0.2) unstable; urgency=medium

  * NMU.
  * Remove Apache 1.3 module.  Closes: #429084.

 -- Matej Vela <vela@debian.org>  Sun, 17 Jun 2007 13:24:24 +0200

scgi (1.12-0.1) unstable; urgency=low

  * NMU with maintainer's permission.
  * New upstream release.  Closes: #424181.
  * Ship doc/guide.html in python-scgi.
  * Remove empty /usr/bin and /usr/sbin from libapache-mod-scgi.
  * Use debian/compat rather than DH_COMPAT to placate Lintian.

 -- Matej Vela <vela@debian.org>  Wed, 23 May 2007 20:11:50 +0200

scgi (1.11-2) unstable; urgency=low

  * Build-depend on apache2-dev (>= 2.2) and depend on apache2.2-common
    instead of just apache2, to get a consistent set of packages for the
    new apache2 module ABI (Closes: #394442).

 -- Neil Schemenauer <nas@debian.org>  Thu, 26 Oct 2006 20:27:30 +0000

scgi (1.11-1) unstable; urgency=low

  * New upstream release.
  * Conform to new Python packaging policy by using python-support
    (Closes: #3809420).

 -- Neil Schemenauer <nas@debian.org>  Mon, 14 Aug 2006 12:49:01 -0600

scgi (1.10-1) unstable; urgency=low

  * New upstream release.

 -- Neil Schemenauer <nas@debian.org>  Mon, 22 May 2006 05:48:38 +0000

scgi (1.9-1) unstable; urgency=low

  * New upstream release (Closes: #343382).
  * Add README files to Apache packages (Closes: #339291).

 -- Neil Schemenauer <nas@debian.org>  Wed, 14 Dec 2005 13:28:57 -0700

scgi (1.7-1) unstable; urgency=low

  * New upstream release (Closes: #323608).
  * Build against Python 2.4.

 -- Neil Schemenauer <nas@debian.org>  Wed, 17 Aug 2005 17:52:25 +0000

scgi (1.2-1) unstable; urgency=low

  * New upstream release (Closes: #261400).
  * Include changelogs in binary package (Closes: #208266).

 -- Neil Schemenauer <nas@debian.org>  Wed, 25 Aug 2004 11:20:33 -0400

scgi (1.1-1) unstable; urgency=low

  * Build against Python 2.3.
  * New upstream release.

 -- Neil Schemenauer <nas@debian.org>  Tue, 26 Aug 2003 13:34:21 -0400

scgi (1.0-1) unstable; urgency=low

  * New upstream release.

 -- Neil Schemenauer <nas@debian.org>  Tue,  1 Oct 2002 11:45:39 -0400

scgi (0.5-1) unstable; urgency=low

  * Initial Release (based on work done by Andrew Kuchling).

 -- Neil Schemenauer <nas@debian.org>  Fri, 16 Aug 2002 13:49:22 -0400

=== debian/control ===
Source: scgi
Priority: optional
Section: web
Maintainer: Neil Schemenauer <nas@debian.org>
Homepage: http://python.ca/scgi/
Build-Depends: debhelper (>= 7), python-all-dev, apache2-dev, dh-apache2
Standards-Version: 3.9.4

Package: libapache2-mod-scgi
Depends: ${shlibs:Depends}, ${misc:Depends}
Architecture: any
Description: Apache module implementing the SCGI protocol
 The SCGI protocol is a replacement for the Common Gateway
 Interface (CGI) protocol. It is a proposed standard for
 applications to interface with HTTP servers. It is similar to
 FastCGI but is designed to be easier to implement.
 .
 This package is an Apache module implementing the client side of
 the protocol.

Package: python-scgi
Architecture: any
Section: python
Depends: ${python:Depends}, ${shlibs:Depends}, ${misc:Depends}
Description: Server-side implementation of the SCGI protocol
 The SCGI protocol is a replacement for the Common Gateway
 Interface (CGI) protocol. It is a proposed standard for
 applications to interface with HTTP servers. It is similar to
 FastCGI but is designed to be easier to implement.
 .
 This is a Python package implementing the server side of the
 SCGI protocol.

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

ifneq (,$(findstring debug,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -g
endif
ifeq (,$(findstring nostrip,$(DEB_BUILD_OPTIONS)))
	INSTALL_PROGRAM += -s
endif


# sanitize path to avoid using locally installed versions
export PATH=/bin:/usr/bin

PYVERS=$(shell pyversions -vs)

APACHE2_SCGI=debian/libapache2-mod-scgi

build: build-apache $(PYVERS:%=build-python%)

build-arch build-indep: build

build-apache:
	(cd apache2 && $(MAKE) all)


build-python%:
	python$* setup.py build


clean:
	dh_testdir
	dh_testroot
	rm -rf build scgi/*.pyc
	-(cd apache2 && $(MAKE) clean)
	dh_clean


install: build $(PYVERS:%=install-python%)
	dh_testdir
	dh_testroot
	#dh_clean -k
	dh_installdirs
	dh_installdocs
	dh_installexamples -ppython-scgi
	dh_installman
	dh_installchangelogs CHANGES.txt
	dh_apache2

install-python%:
	python$* setup.py install --root $(CURDIR)/debian/python-scgi --install-layout=deb


# Build architecture-independent files
binary-indep: build install


# Build architecture-dependent files
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_link
	dh_strip
	dh_compress
	dh_python2
	dh_fixperms
	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build build-arch build-indep clean binary-indep binary-arch binary install

=== debian/watch ===
version=3
http://python.ca/scgi/releases/scgi-(.*)\.tar\.gz
